## gnome-builder 43.6

=== debian/changelog ===
gnome-builder (43.6-3) unstable; urgency=medium

  * Team upload
  * debian/control.in: depend on gir1.2-webkit-6.0 instead of 5.0
    (Closes: #1033224)

 -- Alberto Garcia <berto@igalia.com>  Mon, 20 Mar 2023 12:45:40 +0100

gnome-builder (43.6-2) unstable; urgency=medium

  * debian/gbp.conf, debian/control.in: Branch for bookworm
  * Cherry-pick patches from stable gnome-43 branch to build against
    latest webkitgtk
  * Build against webkitgtk 6.0 instead of 5.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 20:29:37 -0400

gnome-builder (43.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Feb 2023 18:21:57 -0500

gnome-builder (43.5-1) unstable; urgency=medium

  * New upstream release
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2023 18:53:25 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util,
               at-spi2-core <!nocheck>,
               ca-certificates <!nocheck>,
               dbus <!nocheck>,
               python3-gi (>= 3.22.0),
               python3:any,
               debhelper-compat (= 12),
               desktop-file-utils,
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-dev,
               libcmark-dev (>= 0.29.0),
               libdevhelp-dev (>= 3.20.0),
               libeditorconfig-dev,
               libenchant-2-dev,
               libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libgit2-glib-1.0-dev (>= 1.1.0),
               libadwaita-1-dev (>= 1.2.0),
               libglib2.0-dev (>= 2.74),
               libgspell-1-dev (>= 1.2.0),
               libgtk-4-dev (>= 4.8),
               libgtksourceview-5-dev (>= 5.6),
               libjson-glib-dev (>= 1.2.0),
               libjsonrpc-glib-1.0-dev (>= 3.42.0),
               libpanel-dev (>= 1.0.0),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.34.0),
               libpolkit-gobject-1-dev (>= 0.105),
               libportal-dev (>= 0.5),
               libportal-gtk4-dev (>= 0.5),
               libsoup-3.0-dev,
               libtemplate-glib-1.0-dev (>= 3.36.0),
               libvala-dev,
               libvte-2.91-gtk4-dev (>= 0.70.0),
               libwebkitgtk-6.0-dev,
               libxml2-dev (>= 2.9.0),
               llvm,
               llvm-dev,
               meson (>= 0.59.1),
               mm-common,
               libsysprof-ui-5-dev (>= 3.46.0) [linux-any],
               valac (>= 0.40),
               valgrind-if-available,
               xauth <!nocheck>,
               xvfb <!nocheck>,
# Don't (re)build libide api docs for now:
#               gi-docgen,
Rules-Requires-Root: no
Standards-Version: 4.6.2
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder/tree/debian/bookworm
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git -b debian/bookworm
Homepage: https://wiki.gnome.org/Apps/Builder

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-adw-1 (>= 1.2),
         gir1.2-ggit-1.0 (>= 0.28.0.1),
         gir1.2-glib-2.0 (>= 1.62.0),
         gir1.2-gtk-4.0 (>= 4.8),
         gir1.2-gtksource-5 (>= 5.6),
         gir1.2-jsonrpc-1.0 (>= 3.42.0),
         gir1.2-panel-1 (>= 1.0.0),
         gir1.2-peas-1.0 (>= 1.34.0),
         gir1.2-webkit-6.0,
         python3-gi,
         libvala-dev,
         clang,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: build-essential,
            flatpak-builder [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
            gettext,
            meson,
            pkg-config,
            python3-lxml,
            valgrind-if-available
Suggests: rubocop
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

# Explicitly disable this plugin which defaults to enabled
# unless we're on linux architectures.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq (linux,$(DEB_HOST_ARCH_OS))
SYSPROF_PLUGIN = -Dplugin_sysprof=true
else
SYSPROF_PLUGIN = -Dplugin_sysprof=false
endif

# https://lists.debian.org/debian-devel/2022/02/msg00259.html
ifeq "$(shell which valgrind > /dev/null && echo true)" "true"
VALGRIND_PLUGIN = -Dplugin_valgrind=true
else
VALGRIND_PLUGIN = -Dplugin_valgrind=false
endif

# Enable Flatpak support on supported architectures
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
	FLATPAK_PLUGIN = -Dplugin_flatpak=true
else
	FLATPAK_PLUGIN = -Dplugin_flatpak=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dnetwork_tests=false \
		-Dplugin_dspy=false \
		-Dplugin_update_manager=false \
		$(FLATPAK_PLUGIN) \
		$(SYSPROF_PLUGIN) \
		$(VALGRIND_PLUGIN)

# force debian/tmp installation for now until we ship
# more than one binary package, then this can be dropped...
override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	# Meson 0.60.0 installs to python3/dist-packages, older versions
	# installed to python3.x/site-packages. Stay compatible with both
	# for now
	if ! [ -d debian/tmp/usr/lib/python3/dist-packages/gi/overrides ]; then \
		install -d debian/tmp/usr/lib/python3/dist-packages/gi; \
		mv debian/tmp/usr/lib/python3*/site-packages/gi/overrides \
			debian/tmp/usr/lib/python3/dist-packages/gi; \
	fi

CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run

override_dh_auto_test:
	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
	HOME=$(CHECK_RUNTIME_DIR) dbus-run-session -- xvfb-run dh_auto_test

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/

override_dh_python3:
# https://bugs.debian.org/838342
	dh_python3 -X.*/plugins/meson_templates/resources/.*

## gnome-builder 44~beta

=== meson_options.txt ===
option('channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-beta', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('development', type: 'boolean', value: false, description: 'If this is a development build (org.gnome.Builder.Devel)')
option('tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
option('gnome_sdk_version', type: 'string', value: 'master', description: 'The GNOME SDK release to use for templates')
option('help', type: 'boolean', value: false)
option('docs', type: 'boolean', value: false)
option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
option('ctags_path', type: 'string', value: '')
option('webkit', type: 'feature', value: 'enabled', description: 'Enable features which require WebKit')

option('plugin_autotools', type: 'boolean')
option('plugin_bash_language_server', type: 'boolean')
option('plugin_blueprint', type: 'boolean')
option('plugin_buildstream', type: 'boolean')
option('plugin_c_pack', type: 'boolean')
option('plugin_cargo', type: 'boolean')
option('plugin_clang', type: 'boolean')
option('plugin_clangd', type: 'boolean', value: false)
option('plugin_clang_format', type: 'boolean')
option('plugin_cmake', type: 'boolean')
option('plugin_codesearch', type: 'boolean')
option('plugin_codespell', type: 'boolean')
option('plugin_code_index', type: 'boolean')
option('plugin_copyright', type: 'boolean')
option('plugin_ctags', type: 'boolean')
option('plugin_deviced', type: 'boolean', value: false)
option('plugin_dspy', type: 'boolean')
option('plugin_dub', type: 'boolean')
option('plugin_editorconfig', type: 'boolean')
option('plugin_eslint', type: 'boolean')
option('plugin_file_search', type: 'boolean')
option('plugin_flatpak', type: 'boolean')
option('plugin_gdb', type: 'boolean')
option('plugin_gdiagnose', type: 'boolean')
option('plugin_gettext', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_glsl_language_server', type: 'boolean')
option('plugin_gopls', type: 'boolean')
option('plugin_gradle', type: 'boolean')
option('plugin_grep', type: 'boolean')
option('plugin_html_completion', type: 'boolean')
option('plugin_html_preview', type: 'boolean')
option('plugin_intelephense', type: 'boolean')
option('plugin_jdtls', type: 'boolean')
option('plugin_jedi_language_server', type: 'boolean', value: false)
option('plugin_jhbuild', type: 'boolean')
option('plugin_lua_language_server', type: 'boolean')
option('plugin_make', type: 'boolean')
option('plugin_make_templates', type: 'boolean')
option('plugin_markdown_preview', type: 'boolean')
option('plugin_maven', type: 'boolean')
option('plugin_meson', type: 'boolean')
option('plugin_meson_templates', type: 'boolean')
option('plugin_modelines', type: 'boolean')
option('plugin_mono', type: 'boolean')
option('plugin_newcomers', type: 'boolean')
option('plugin_notification', type: 'boolean')
option('plugin_npm', type: 'boolean')
option('plugin_phpize', type: 'boolean')
option('plugin_podman', type: 'boolean')
option('plugin_pygi', type: 'boolean')
option('plugin_python_lsp_server', type: 'boolean')
option('plugin_qemu', type: 'boolean')
option('plugin_quick_highlight', type: 'boolean')
option('plugin_retab', type: 'boolean')
option('plugin_rstcheck', type: 'boolean')
option('plugin_rubocop', type: 'boolean')
option('plugin_rust_analyzer', type: 'boolean')
option('plugin_serve_d', type: 'boolean')
option('plugin_shellcheck', type: 'boolean')
option('plugin_shellcmd', type: 'boolean')
option('plugin_sourcekit_lsp', type: 'boolean')
option('plugin_spellcheck', type: 'boolean')
option('plugin_sphinx_preview', type: 'boolean')
option('plugin_stylelint', type: 'boolean')
option('plugin_sysprof', type: 'boolean')
option('plugin_sysroot', type: 'boolean')
option('plugin_todo', type: 'boolean')
option('plugin_ts_language_server', type: 'boolean')
option('plugin_update_manager', type: 'boolean')
option('plugin_valac', type: 'boolean')
option('plugin_vala_indenter', type: 'boolean')
option('plugin_vala_language_server', type: 'boolean')
option('plugin_valgrind', type: 'boolean')
option('plugin_waf', type: 'boolean')
option('plugin_words', type: 'boolean')
option('plugin_xml_pack', type: 'boolean')
option('plugin_zls', type: 'boolean')

=== debian/changelog ===
gnome-builder (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libdex-dev
  * debian/control.in: Bump minimum glib and libpanel
  * debian/control.in: Drop unnecessary gir dependencies

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 17:14:24 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: editors
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
@@ -24,18 +24,19 @@
                libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
+               libdex-dev (>= 0.1.0),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 1.1.0),
                libadwaita-1-dev (>= 1.2.0),
-               libglib2.0-dev (>= 2.74),
+               libglib2.0-dev (>= 2.75.0),
                libgspell-1-dev (>= 1.2.0),
                libgtk-4-dev (>= 4.8),
                libgtksourceview-5-dev (>= 5.6),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.42.0),
-               libpanel-dev (>= 1.0.0),
+               libpanel-dev (>= 1.1.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.34.0),
@@ -46,7 +47,7 @@
                libtemplate-glib-1.0-dev (>= 3.36.0),
                libvala-dev,
                libvte-2.91-gtk4-dev (>= 0.70.0),
-               libwebkitgtk-6.0-dev,
+               libwebkit2gtk-5.0-dev,
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
@@ -62,22 +63,14 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
 Homepage: https://wiki.gnome.org/Apps/Builder
 
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
-         gir1.2-adw-1 (>= 1.2),
-         gir1.2-ggit-1.0 (>= 0.28.0.1),
-         gir1.2-glib-2.0 (>= 1.62.0),
-         gir1.2-gtk-4.0 (>= 4.8),
-         gir1.2-gtksource-5 (>= 5.6),
          gir1.2-jsonrpc-1.0 (>= 3.42.0),
-         gir1.2-panel-1 (>= 1.0.0),
-         gir1.2-peas-1.0 (>= 1.34.0),
-         gir1.2-webkit-6.0,
          python3-gi,
          libvala-dev,
          clang,

## gnome-builder 44~rc

=== debian/changelog ===
gnome-builder (44~rc-2) experimental; urgency=medium

  * Build against webkitgtk 6.0 instead of 5.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 19:47:12 -0400

gnome-builder (44~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum dependencies

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:41:48 -0500

gnome-builder (44~beta-2) experimental; urgency=medium

  * Bump debhelper-compat to 13
    - Use debian/not-installed for the development files we've never installed
    - Simplify dh_auto_test syntax

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Feb 2023 08:30:01 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                dbus <!nocheck>,
                python3-gi (>= 3.22.0),
                python3:any,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -24,7 +24,7 @@
                libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
-               libdex-dev (>= 0.1.0),
+               libdex-dev (>= 0.1.1),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
@@ -33,10 +33,10 @@
                libglib2.0-dev (>= 2.75.0),
                libgspell-1-dev (>= 1.2.0),
                libgtk-4-dev (>= 4.8),
-               libgtksourceview-5-dev (>= 5.6),
+               libgtksourceview-5-dev (>= 5.7.2),
                libjson-glib-dev (>= 1.2.0),
-               libjsonrpc-glib-1.0-dev (>= 3.42.0),
-               libpanel-dev (>= 1.1.0),
+               libjsonrpc-glib-1.0-dev (>= 3.43.0),
+               libpanel-dev (>= 1.1.2),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.34.0),
@@ -44,10 +44,10 @@
                libportal-dev (>= 0.5),
                libportal-gtk4-dev (>= 0.5),
                libsoup-3.0-dev,
-               libtemplate-glib-1.0-dev (>= 3.36.0),
+               libtemplate-glib-1.0-dev (>= 3.36.1),
                libvala-dev,
                libvte-2.91-gtk4-dev (>= 0.70.0),
-               libwebkit2gtk-5.0-dev,
+               libwebkitgtk-6.0-dev,
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
@@ -70,7 +70,7 @@
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
-         gir1.2-jsonrpc-1.0 (>= 3.42.0),
+         gir1.2-jsonrpc-1.0 (>= 3.43.0),
          python3-gi,
          libvala-dev,
          clang,

## gnome-builder 44.1

=== debian/changelog ===
gnome-builder (44.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.3.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 15:52:05 -0400

## gnome-builder 44.2

=== debian/changelog ===
gnome-builder (44.2-2) unstable; urgency=medium

  * Build d-spy plugin
  * Set DEB_PYTHON_INSTALL_LAYOUT = deb to work around behavior change
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 15:40:44 -0400

gnome-builder (44.2-1) experimental; urgency=medium

  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 16 May 2023 13:37:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: editors
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
@@ -25,11 +25,12 @@
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
                libdex-dev (>= 0.1.1),
+               libdspy-dev (>= 1.4.0),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 1.1.0),
-               libadwaita-1-dev (>= 1.2.0),
+               libadwaita-1-dev (>= 1.3.0),
                libglib2.0-dev (>= 2.75.0),
                libgspell-1-dev (>= 1.2.0),
                libgtk-4-dev (>= 4.8),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_PYTHON_INSTALL_LAYOUT = deb
 
 # Explicitly disable this plugin which defaults to enabled
 # unless we're on linux architectures.
@@ -32,7 +33,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dnetwork_tests=false \
-		-Dplugin_dspy=false \
 		-Dplugin_update_manager=false \
 		$(FLATPAK_PLUGIN) \
 		$(SYSPROF_PLUGIN) \
@@ -51,11 +51,8 @@
 			debian/tmp/usr/lib/python3/dist-packages/gi; \
 	fi
 
-CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run
-
 override_dh_auto_test:
-	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
-	HOME=$(CHECK_RUNTIME_DIR) dbus-run-session -- xvfb-run dh_auto_test
+	dbus-run-session -- xvfb-run dh_auto_test
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

## gnome-builder 45~beta

=== debian/changelog ===
gnome-builder (45~beta-1) experimental; urgency=medium

  * New upstream release (Closes: #1043466) (LP: #2031972)
  * debian/control.in: Bump dependencies
  * Revert "Set DEB_PYTHON_INSTALL_LAYOUT = deb": Fixed in debhelper 13.11.5
  * Revert "d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el"
    meson 1.2.1 fixed the underlying issue

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 19 Aug 2023 14:26:09 -0400

gnome-builder (44.2-3) unstable; urgency=high

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 06 Aug 2023 13:58:44 -0400

## gnome-builder 45~rc

=== debian/changelog ===
gnome-builder (45~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 15:00:22 -0400

gnome-builder (45~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:42:24 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: editors
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
@@ -20,27 +20,27 @@
                dh-sequence-python3,
                exuberant-ctags,
                gnome-pkg-tools,
-               gobject-introspection (>= 1.48.0),
+               gobject-introspection (>= 1.74.0),
+               libadwaita-1-dev (>= 1.4~beta),
                libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
-               libdex-dev (>= 0.1.1),
+               libdex-dev (>= 0.2),
                libdspy-dev (>= 1.4.0),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 1.1.0),
-               libadwaita-1-dev (>= 1.3.0),
                libglib2.0-dev (>= 2.75.0),
                libgspell-1-dev (>= 1.2.0),
-               libgtk-4-dev (>= 4.8),
-               libgtksourceview-5-dev (>= 5.7.2),
+               libgtk-4-dev (>= 4.10),
+               libgtksourceview-5-dev (>= 5.8),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
                libpanel-dev (>= 1.1.2),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
-               libpeas-dev (>= 1.34.0),
+               libpeas-2-dev (>= 1.99.0),
                libpolkit-gobject-1-dev (>= 0.105),
                libportal-dev (>= 0.5),
                libportal-gtk4-dev (>= 0.5),
@@ -54,7 +54,7 @@
                llvm-dev,
                meson (>= 0.59.1),
                mm-common,
-               libsysprof-ui-5-dev (>= 3.46.0) [linux-any],
+               libsysprof-6-dev (>= 3.46.0) [linux-any],
                valac (>= 0.40),
                valgrind-if-available,
                xauth <!nocheck>,

## gnome-builder 45.0

=== debian/changelog ===
gnome-builder (45.0-1build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:40:48 +0100

gnome-builder (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum sysprof to 45.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:37:40 -0400

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
                llvm-dev,
                meson (>= 0.59.1),
                mm-common,
-               libsysprof-6-dev (>= 3.46.0) [linux-any],
+               libsysprof-6-dev (>= 45.0) [linux-any],
                valac (>= 0.40),
                valgrind-if-available,
                xauth <!nocheck>,

## gnome-builder 46.1

=== debian/changelog ===
gnome-builder (46.1-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Apr 2024 19:37:14 -0400

gnome-builder (46.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libxml2-utils for xmllint

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 08:10:03 -0400

gnome-builder (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and libpanel
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Feb 2024 08:06:41 -0500

gnome-builder (45.0-2) unstable; urgency=medium

  * Cherry-pick build fix needed after GTK 4.12.5.
    Thanks to Adrian Bunk (Closes: #1061567)
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 18:08:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-builder
 Section: editors
 Priority: optional
@@ -16,12 +12,11 @@
                debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gir,
-               dh-sequence-gnome,
                dh-sequence-python3,
                exuberant-ctags,
                gnome-pkg-tools,
                gobject-introspection (>= 1.74.0),
-               libadwaita-1-dev (>= 1.4~beta),
+               libadwaita-1-dev (>= 1.5~alpha),
                libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
@@ -37,7 +32,7 @@
                libgtksourceview-5-dev (>= 5.8),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
-               libpanel-dev (>= 1.1.2),
+               libpanel-dev (>= 1.5.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-2-dev (>= 1.99.0),
@@ -50,6 +45,7 @@
                libvte-2.91-gtk4-dev (>= 0.70.0),
                libwebkitgtk-6.0-dev,
                libxml2-dev (>= 2.9.0),
+               libxml2-utils,
                llvm,
                llvm-dev,
                meson (>= 0.59.1),
@@ -63,10 +59,9 @@
 #               gi-docgen,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
-Homepage: https://wiki.gnome.org/Apps/Builder
+Homepage: https://apps.gnome.org/Builder/
 
 Package: gnome-builder
 Architecture: any
@@ -83,7 +78,7 @@
             flatpak-builder [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
             gettext,
             meson,
-            pkg-config,
+            pkgconf,
             python3-lxml,
             valgrind-if-available
 Suggests: rubocop

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
-export DEB_PYTHON_INSTALL_LAYOUT = deb
 
 # Explicitly disable this plugin which defaults to enabled
 # unless we're on linux architectures.

## gnome-builder 46.2

=== debian/changelog ===
gnome-builder (46.2-2) unstable; urgency=medium

  * Add Depends: gir1.2-json-1.0 to fix keyboard shortcuts (Closes: #1072154)
  * Drop unnecessary Build-Depends: gnome-pkg-tools
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 08:23:46 -0400

gnome-builder (46.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 16:17:19 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                dh-sequence-gir,
                dh-sequence-python3,
                exuberant-ctags,
-               gnome-pkg-tools,
                gobject-introspection (>= 1.74.0),
                libadwaita-1-dev (>= 1.5~alpha),
                libclang-dev,
@@ -58,7 +57,7 @@
 # Don't (re)build libide api docs for now:
 #               gi-docgen,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
 Homepage: https://apps.gnome.org/Builder/
@@ -66,6 +65,7 @@
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
+         gir1.2-json-1.0,
          gir1.2-jsonrpc-1.0 (>= 3.43.0),
          python3-gi,
          libvala-dev,

## gnome-builder 46.3

=== debian/changelog ===
gnome-builder (46.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 16:22:16 -0400

gnome-builder (46.2-3) unstable; urgency=medium

  * Drop obsolete Build-Depends: pcre3-dev (Closes: #1073055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Jun 2024 10:21:55 -0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
                libpanel-dev (>= 1.5.0),
                libpango1.0-dev (>= 1.38.0),
-               libpcre3-dev,
                libpeas-2-dev (>= 1.99.0),
                libpolkit-gobject-1-dev (>= 0.105),
                libportal-dev (>= 0.5),

## gnome-builder 47~beta

=== debian/changelog ===
gnome-builder (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita, libdex, libpanel, and vte
  * Add Build-Depends: libgom-1.0-dev
  * Install /usr/share/gnome-builder/clang-format/.clang-format

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 18:18:12 -0400

=== debian/control ===
--- 
+++ 
@@ -15,23 +15,24 @@
                dh-sequence-python3,
                exuberant-ctags,
                gobject-introspection (>= 1.74.0),
-               libadwaita-1-dev (>= 1.5~alpha),
+               libadwaita-1-dev (>= 1.6~alpha),
                libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
-               libdex-dev (>= 0.2),
+               libdex-dev (>= 0.7),
                libdspy-dev (>= 1.4.0),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 1.1.0),
                libglib2.0-dev (>= 2.75.0),
+               libgom-1.0-dev,
                libgspell-1-dev (>= 1.2.0),
                libgtk-4-dev (>= 4.10),
                libgtksourceview-5-dev (>= 5.8),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
-               libpanel-dev (>= 1.5.0),
+               libpanel-dev (>= 1.7.0),
                libpango1.0-dev (>= 1.38.0),
                libpeas-2-dev (>= 1.99.0),
                libpolkit-gobject-1-dev (>= 0.105),
@@ -40,7 +41,7 @@
                libsoup-3.0-dev,
                libtemplate-glib-1.0-dev (>= 3.36.1),
                libvala-dev,
-               libvte-2.91-gtk4-dev (>= 0.70.0),
+               libvte-2.91-gtk4-dev (>= 0.75.0),
                libwebkitgtk-6.0-dev,
                libxml2-dev (>= 2.9.0),
                libxml2-utils,

## gnome-builder 47.0

=== debian/changelog ===
gnome-builder (47.0-1) unstable; urgency=medium

  * New upstream release
  * GNOME Builder no longer includes python3-gi overrides
  * Build with libspelling instead of gspell
  * Bump minimum GTK4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 09:28:19 -0400

## gnome-builder 47.1

=== debian/changelog ===
gnome-builder (47.1-1) unstable; urgency=medium

  * New upstream release (LP: #2083462)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 18:00:33 -0400

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,7 @@
                libgit2-glib-1.0-dev (>= 1.1.0),
                libglib2.0-dev (>= 2.75.0),
                libgom-1.0-dev,
-               libgspell-1-dev (>= 1.2.0),
-               libgtk-4-dev (>= 4.10),
+               libgtk-4-dev (>= 4.15.5),
                libgtksourceview-5-dev (>= 5.8),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
@@ -39,6 +38,7 @@
                libportal-dev (>= 0.5),
                libportal-gtk4-dev (>= 0.5),
                libsoup-3.0-dev,
+               libspelling-1-dev (>= 0.4),
                libtemplate-glib-1.0-dev (>= 3.36.1),
                libvala-dev,
                libvte-2.91-gtk4-dev (>= 0.75.0),

## gnome-builder 47.2

=== debian/changelog ===
gnome-builder (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 13:53:17 -0500

## gnome-builder 48~beta

=== debian/changelog ===
gnome-builder (48~beta-1build1) plucky; urgency=medium

  * No-change rebuild for LLVM 20.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2025 08:20:17 +0100

gnome-builder (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtksourceview5
  * Remove unused Build-Depends: libdspy-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 17:55:55 -0500

## gnome-builder 48~rc

=== debian/changelog ===
gnome-builder (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 11:43:11 -0500

## gnome-builder 48.0

=== debian/changelog ===
gnome-builder (48.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:27:11 +0200

gnome-builder (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 12:19:16 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: appstream-util,
+Build-Depends: appstream,
                at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
                dbus <!nocheck>,
@@ -20,7 +20,6 @@
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
                libdex-dev (>= 0.7),
-               libdspy-dev (>= 1.4.0),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
@@ -28,7 +27,7 @@
                libglib2.0-dev (>= 2.75.0),
                libgom-1.0-dev,
                libgtk-4-dev (>= 4.15.5),
-               libgtksourceview-5-dev (>= 5.8),
+               libgtksourceview-5-dev (>= 5.15),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
                libpanel-dev (>= 1.7.0),
@@ -84,7 +83,7 @@
 Suggests: rubocop
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of
- our platform to more developers than ever before.
+ the platform to more developers than ever before.
  .
  Builder attempts to be an IDE for writing software for GNOME. It does not try
  to be a generic IDE, but one specialized for GNOME application developers.

## gnome-builder 48.2

=== meson_options.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
 option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
 option('gnome_sdk_version', type: 'string', value: 'master', description: 'The GNOME SDK release to use for templates')
+option('freedesktop_sdk_version', type: 'string', value: '23.08', description: 'The Freedesktop SDK release to use for templates')
 option('help', type: 'boolean', value: false)
 option('docs', type: 'boolean', value: false)
 option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
@@ -27,6 +28,7 @@
 option('plugin_clang_format', type: 'boolean')
 option('plugin_cmake', type: 'boolean')
 option('plugin_codesearch', type: 'boolean')
+option('plugin_codeshot', type: 'boolean')
 option('plugin_codespell', type: 'boolean')
 option('plugin_code_index', type: 'boolean')
 option('plugin_copyright', type: 'boolean')
@@ -35,17 +37,21 @@
 option('plugin_dspy', type: 'boolean')
 option('plugin_dub', type: 'boolean')
 option('plugin_editorconfig', type: 'boolean')
+option('plugin_elixir_ls', type: 'boolean')
 option('plugin_eslint', type: 'boolean')
 option('plugin_file_search', type: 'boolean')
 option('plugin_flatpak', type: 'boolean')
+option('plugin_flake8', type: 'boolean')
 option('plugin_gdb', type: 'boolean')
 option('plugin_gdiagnose', type: 'boolean')
 option('plugin_gettext', type: 'boolean')
 option('plugin_git', type: 'boolean')
 option('plugin_glsl_language_server', type: 'boolean')
+option('plugin_golang', type: 'boolean')
 option('plugin_gopls', type: 'boolean')
 option('plugin_gradle', type: 'boolean')
 option('plugin_grep', type: 'boolean')
+option('plugin_hadolint', type: 'boolean')
 option('plugin_html_completion', type: 'boolean')
 option('plugin_html_preview', type: 'boolean')
 option('plugin_intelephense', type: 'boolean')
@@ -55,9 +61,12 @@
 option('plugin_lua_language_server', type: 'boolean')
 option('plugin_make', type: 'boolean')
 option('plugin_make_templates', type: 'boolean')
+option('plugin_manuals', type: 'boolean')
 option('plugin_markdown_preview', type: 'boolean')
+option('plugin_markdown_indenter', type: 'boolean')
 option('plugin_maven', type: 'boolean')
 option('plugin_meson', type: 'boolean')
+option('plugin_mesonlsp', type: 'boolean')
 option('plugin_meson_templates', type: 'boolean')
 option('plugin_modelines', type: 'boolean')
 option('plugin_mono', type: 'boolean')
@@ -81,8 +90,10 @@
 option('plugin_spellcheck', type: 'boolean')
 option('plugin_sphinx_preview', type: 'boolean')
 option('plugin_stylelint', type: 'boolean')
+option('plugin_swift', type: 'boolean')
+option('plugin_swiftformat', type: 'boolean')
+option('plugin_swiftlint', type: 'boolean')
 option('plugin_sysprof', type: 'boolean')
-option('plugin_sysroot', type: 'boolean')
 option('plugin_todo', type: 'boolean')
 option('plugin_ts_language_server', type: 'boolean')
 option('plugin_update_manager', type: 'boolean')
@@ -90,6 +101,7 @@
 option('plugin_vala_indenter', type: 'boolean')
 option('plugin_vala_language_server', type: 'boolean')
 option('plugin_valgrind', type: 'boolean')
+option('plugin_vhdl_language_server', type: 'boolean')
 option('plugin_waf', type: 'boolean')
 option('plugin_words', type: 'boolean')
 option('plugin_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (48.2-2) unstable; urgency=medium

  * Team upload
  * Add missing build-dependency on libgirepository-1.0-dev.
    Unusually, gnome-builder really does need libgirepository, not just
    the gobject-introspection toolchain.
    Until recently, this was presumably pulled in by one of our
    dependencies having a -dev dependency on the transitional
    libgirepository1.0-dev package.
    (Closes: #1114128)
  * Override Lintian tags for BuilderBlocks.ttf.
    It is not a general-purpose font: it displays every non-whitespace
    character as a small block, and is intended for providing an overview
    of source code when zoomed out far enough that individual letters
    would be unreadable.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/copyright: Update
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Remove Rules-Requires-Root, no longer necessary

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Sep 2025 15:01:53 +0100

gnome-builder (48.2-1) unstable; urgency=medium

  * New upstream bugfix release
    - Meson template fixes
    - Translation updates
    - Fix application of text edits with some LSPs
    - Fix certain types of directory updates to project tree

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 16:13:29 -0400

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libgirepository-1.0-dev (>= 1.74.0),
                libgit2-glib-1.0-dev (>= 1.1.0),
                libglib2.0-dev (>= 2.75.0),
                libgom-1.0-dev,
@@ -55,8 +56,7 @@
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
 #               gi-docgen,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
 Homepage: https://apps.gnome.org/Builder/

## gnome-builder 49~rc

=== debian/changelog ===
gnome-builder (49~rc-2) experimental; urgency=medium

  * Cherry-pick patch to fix 32-bit build failure
  * Opt into Salsa CI but disable some tests for now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 09:56:32 -0400

gnome-builder (49~rc-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, gtksourceview5, libadwaita, and template-glib
  * Add Build-Depends: libyaml-dev
  * debian/copyright: trivial update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 13:16:43 -0400

## gnome-builder 49.0

=== debian/changelog ===
gnome-builder (49.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:48:11 -0400

gnome-builder (49.0-1) experimental; urgency=medium

  * New upstream release
  * Remove remaning patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 08:19:00 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                dh-sequence-python3,
                exuberant-ctags,
                gobject-introspection (>= 1.74.0),
-               libadwaita-1-dev (>= 1.6~alpha),
+               libadwaita-1-dev (>= 1.8~alpha),
                libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
@@ -25,10 +25,10 @@
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgirepository-1.0-dev (>= 1.74.0),
                libgit2-glib-1.0-dev (>= 1.1.0),
-               libglib2.0-dev (>= 2.75.0),
+               libglib2.0-dev (>= 2.85.0),
                libgom-1.0-dev,
                libgtk-4-dev (>= 4.15.5),
-               libgtksourceview-5-dev (>= 5.15),
+               libgtksourceview-5-dev (>= 5.17),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.43.0),
                libpanel-dev (>= 1.7.0),
@@ -39,12 +39,13 @@
                libportal-gtk4-dev (>= 0.5),
                libsoup-3.0-dev,
                libspelling-1-dev (>= 0.4),
-               libtemplate-glib-1.0-dev (>= 3.36.1),
+               libtemplate-glib-1.0-dev (>= 3.37),
                libvala-dev,
                libvte-2.91-gtk4-dev (>= 0.75.0),
                libwebkitgtk-6.0-dev,
                libxml2-dev (>= 2.9.0),
                libxml2-utils,
+               libyaml-dev,
                llvm,
                llvm-dev,
                meson (>= 0.59.1),
